#pragma once
#include "afxwin.h"
#include "resource.h"
#include "apl_gui.h"

// CaplPrintDcDlg dialog


class CaplPrintDcDlg : public CaplTranslateDialog
{
	DECLARE_DYNAMIC(CaplPrintDcDlg)

public:
	CaplPrintDcDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~CaplPrintDcDlg();

// Dialog Data
	enum { IDD = IDD_PRINT_DC };

	int m_page_cx;
	int m_page_cy;
	int m_min_offset_x;
	int m_min_offset_y;

	CDC *m_ViewDC;


protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	int m_vField;
	CEdit m_hPagesCtrl;
	CEdit m_vPagesCtr;
	afx_msg void OnEnChangePages();
	virtual BOOL OnInitDialog();
	int m_bmp_cx;
	int m_bmp_cy;
	int m_field_x;
	int m_field_y;
	int m_pages_x;
	int m_pages_y;
	afx_msg void OnEnChangeFieldX();
	afx_msg void OnEnChangeFieldY();
	CEdit m_field_x_ctrl;
	CEdit m_field_y_ctrl;
	CaplButton m_ok_btn;
	CaplButton m_cancel_btn;
	CStatic m_pict;
	afx_msg void OnPaint();
};
